/*******************
VARIABLES
*******************/
var expansionDiv;
var closeButton;
//var userActionButton;
var clickthroughButton;
var sdkData;

/*******************
INITIALIZATION
*******************/
function checkIfAdKitReady(event)
{
	adkit.onReady(initializeCreative);
}

function initializeCreative()
{
	initializeGlobalVariables();
	initializeCloseButton();
	addEventListeners();
}

function initializeGlobalVariables()
{
	expansionDiv = document.getElementById("expansion");
	closeButton = document.getElementById("closeButton");
	//userActionButton = document.getElementById("userActionButton");
	clickthroughButton = document.getElementById("clickthroughButton");
	
	sdkData = EB.getSDKData();
}

function initializeCloseButton()
{
	var enableSDKDefaultCloseButton = EB._adConfig && EB._adConfig.hasOwnProperty("mdEnableSDKDefaultCloseButton") && EB._adConfig.mdEnableSDKDefaultCloseButton;
	if (sdkData !== null)
	{
		if (sdkData.SDKType === "MRAID" && !enableSDKDefaultCloseButton)
		{
			closeButton.style.display = "block";
		}
	}
	else
	{
		closeButton.style.display = "block";
	}
}

function addEventListeners()
{
	closeButton.addEventListener("click", handleCloseButtonClick);
	//userActionButton.addEventListener("click", handleUserActionButtonClick);
	clickthroughButton.addEventListener("click", handleClickthroughButtonClick);
}

/*******************
EVENT HANDLERS
*******************/
function handleCloseButtonClick()
{
	// to collapse a specific panel
	EB.collapse({panelName: "expand"});
	// to collapse all the panels
	// EB.collapse();
}

/*function handleUserActionButtonClick()
{
	EB.userActionCounter("CustomInteraction");
}*/

function handleClickthroughButtonClick()
{
	EB.clickthrough();
}

window.addEventListener("load", checkIfAdKitReady);